# Trosnoth (UberTweak Platform Game)
# Copyright (C) 2006-2009 Joshua D Bartlett
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

import pygame

from trosnoth.data import fonts, getPath

_cache = {}

def get(name, size):
    try:
        return _cache[name, size]
    except KeyError:
        if name is not None:
            filename = getPath(fonts, name)
        else:
            filename = None
        try:
            result = pygame.font.Font(filename, size)
        except IOError:
            print 'Font Cache: unable to load font %r' % (filename,)
            result = pygame.font.Font(None, size)

        _cache[name, size] = result
        return result
